/*
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
 * Restrictions in GB_copyright.h.
 *
 * toxicty.c -- change threshold in toxicity to build a wc.
 */

#include "GB_copyright.h"
#define EXTERN extern
#include "vars.h"
#include "races.h"
#include "buffers.h"
#include <math.h>
#include <signal.h>
#include <ctype.h>
int tox_pdata;


toxicity(Playernum,APcount, argn, args)
int Playernum;
int APcount, argn;
char args[MAXARGS][COMMANDSIZE];
{
int c,thresh;
planettype *p;

tox_pdata = NEUTRAL_FD;

	sscanf(args[1], "%d", &thresh);

 if (thresh > 100 || thresh < 0) {
		sprintf(buf,"Illegal value.\n");
			notify(Playernum, buf);
		return;
 }

if (Dir[Playernum-1].level!=LEVEL_PLAN) {
	sprintf(buf,"scope must be a planet.\n");
		notify(Playernum, buf);
	return;
}
if (!enufAP(Playernum,Stars[Dir[Playernum-1].snum]->AP[Playernum-1], APcount)) {
	return;
	}

 openpdata(&tox_pdata);
 getplanet(tox_pdata,&p,Stars[Dir[Playernum-1].snum]->planetpos[Dir[Playernum-1].pnum]);

 p->info[Playernum-1].tox_thresh = thresh;
 putplanet(tox_pdata,p,Stars[Dir[Playernum-1].snum]->planetpos[Dir[Playernum-1].pnum]);
close_file(tox_pdata);
 deductAPs(Playernum,APcount, Dir[Playernum-1].snum, 0);

 sprintf(buf, " New threshold is: %u\n",p->info[Playernum-1].tox_thresh);
		notify(Playernum, buf);

 free(p);

}

