#include "TinyMUD_copyright.h"

#ifdef __STDC__
/* these symbols must be defined by the interface */
extern int notify(int Playernum, char *msg);
extern int shutdown_flag; /* if non-zero, interface should shut down */
extern void emergency_shutdown(void);

/* the following symbols are provided by game.c */

extern void process_command(int Playernum, char *command);

extern void panic(const char *);
#else
#define const 
extern int notify();
extern int shutdown_flag; /* if non-zero, interface should shut down */
extern void emergency_shutdown();
extern void process_command();
extern void panic();
#endif

/* max length of command argument to process_command */
#define MAX_COMMAND_LEN 512
#define BUFFER_LEN ((MAX_COMMAND_LEN)*8)
