/*
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
 * Restrictions in GB_copyright.h.
 *
 *  telegram.c -- send a telegram to user
 */

#include "GB_copyright.h"
#include "vars.h"
#include "races.h"
#include "ships.h"
#include <ctype.h>
#include <signal.h>
#include <strings.h>
#include <setjmp.h>
extern jmp_buf main_jenv;
extern char telegram_buf[AUTO_TELEG_SIZE];

telegram(APcount, argn,args)
int APcount;
int argn;
char args[MAXARGS][COMMANDSIZE];
{
racetype *alien;
placetype where;
planettype *pl;
int c,i,j,numraces,recp = -1,to_all;
boolean Place = 0;
char telefl[100], tbuf[200], tmbuf[40], r[200];
int telegram_pdata,telegram_handler();


  signal(SIGINT, telegram_handler);

numraces = Numraces();

  if (Sdata.AP[Playernum] < APcount) {
     if (Dir.level==LEVEL_UNIV) {
	printf("You don't have enough AP's.\n");
	telegram_handler();
     } if (!enufAP(Stars[Dir.snum]->AP,APcount) )
	telegram_handler();
  }

  if (argn==1) {		/* recipient not specified */
	printf("To whom/where? ");
	scanf("%[^\n]",r);
	getchr();
  } else
	strncpy(r,args[1],RNAMESIZE);

  to_all = 0;

  if (r[0] == '/' || r[0]=='#' || r[0]=='.' || r[0]==CHAR_CURR_SCOPE) {
    Place = 1;
    where = Getplace(r,1);
    if (where.err)
	telegram_handler();
  } else if(!strcmp(r, "all")) {
	Place = 1;
  	to_all = 1;
  } else {
    GetPlayer(r, &recp, &alien);
    if ( recp == -1) {
	  printf("Player does not exist.\n");
	  telegram_handler();
    }
  }

 if(!to_all) printf("Enter telegram for %s,\n  ending with ctrl-D.\n\n", 
			Place ? Dispplace(&where) : alien->name );
else
	printf("Enter announcement for all players,\n ending with ctrl-D.\n\n");

  printf("Subject : ");
  teleg_add("", telegram_buf,0);
  if (Place) {
	sprintf(tbuf, " %s received at %s%s.\n",  to_all ? " Announcement" : "Message",
		to_all ? "" : (where.level==LEVEL_SHIP ? "ship " : ""), to_all ? "" : Dispplace(&where) );
	teleg_add(tbuf, telegram_buf,0);
  }
  i = 0;
  while ( (c=getchr()) != EOF) {
	  if (c!='\n') {
		  ungetc(c,stdin);
		  scanf("%199[^\n]", tbuf);
		  getchr();
		  j = strlen(tbuf);
	  } else 
		j=0;
	  tbuf[j] = '\n'; tbuf[j+1] = '\0';
	  i += j;
	  teleg_add(tbuf, telegram_buf,0);
  	  printf("%d : ",TELEGRAM_SIZE - i );
  }
  
	/* send it */

  if(to_all) {
	        for (i=1; i<=numraces; i++)
		     teleg_send(Playernum, i, telegram_buf);
  			}
else if (!Place)
	  teleg_send(Playernum, recp, telegram_buf);
 else
     switch (where.level) {
	case LEVEL_STAR:
	        for (i=1; i<=numraces; i++)
		  if (isset(Stars[where.snum]->inhabited,i))
		     teleg_send(Playernum, i, telegram_buf);
		break;
	case LEVEL_PLAN:
		openpdata(&telegram_pdata);
		getplanet(telegram_pdata, &pl, Stars[where.snum]->planetpos[where.pnum]);
		close_file(telegram_pdata);
		for (i=1; i<=numraces; i++)
			if (pl->info[i-1].numsectsowned)
			     teleg_send(Playernum, i, telegram_buf);
		break;
	case LEVEL_SHIP:
		teleg_send(Playernum, where.shipptr->owner, telegram_buf);
		break;
    	case LEVEL_UNIV:
		printf("Noone there to receive your message!\n");
		break;
    }

	/* get rid of ctrl-D problem */
  clearerr(stdin);

  if (Sdata.AP[Playernum] >= APcount)
	deductAPs(APcount, 0, 1);
  else 
	deductAPs(APcount, Dir.snum, 0);

  printf("\nMessage delivered.\n");

}


telegram_handler()
{
 longjmp(main_jenv,1);
}
